# vim: set ts=4 sw=4 et:

Name:           oggvideotools
Version:        0.8
Release:        0.pm.1.1
Summary:        Toolbox for manipulating Ogg Video Files
# http://prdownloads.sourceforge.net/oggvideotools/oggvideotools-%{version}.tar.gz
Source:         oggvideotools-%{version}.tar.bz2
Patch1:         oggvideotools-fix_nonvoid_return.patch
URL:            http://dev.streamnik.de/oggvideotools.html
Group:          Productivity/Multimedia/Video/Editors and Convertors
License:        GNU General Public License version 2 (GPL v2)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  libogg-devel libvorbis-devel libtheora-devel SDL-devel gd-devel
BuildRequires:  gcc-c++ libstdc++-devel make glibc-devel pkgconfig
BuildRequires:  autoconf automake libtool

%description
The "Ogg Video Tools" is a toolbox for manipulating Ogg video files, which
usually consist of a video stream (Theora) and an audio stream (Vorbis). It
includes a number of handy command line tools for manipulating these video
files, such as for splitting the different streams.

%prep
%setup -q
%patch1

%build
%configure
%__make %{?_smp_flags}

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/mkSlideshow
%{_bindir}/mkThumbs
%{_bindir}/oggCat
%{_bindir}/oggCut
%{_bindir}/oggDump
%{_bindir}/oggJoin
%{_bindir}/oggLength
%{_bindir}/oggScroll
%{_bindir}/oggSilence
%{_bindir}/oggSlideshow
%{_bindir}/oggSplit
%{_bindir}/oggResize
%{_bindir}/oggThumb
%{_mandir}/man1/ogg*.1%{ext_man}

%changelog
* Sun Sep  6 2009 pascal.bleser@opensuse.org
- update to 0.8:
  * adds oggSilence: creates an Ogg/Vorbis file of a specified length that is filled with silence
  * adds oggResize: can resize a given Ogg file consisting of a Theora and/or a Vorbis stream
* Fri May 29 2009 pascal.bleser@opensuse.org
- fixes minor bugs with oggCut
* Mon Mar 23 2009 pascal.bleser@opensuse.org
- update to 0.7a:
  * adds two scripts to create a thumbnail series and a slideshow with sound in an easy way
  * adds support for corrupt end-of-file identifiers
  * some minor bugfixes
  * documentation updates
* Thu Mar 12 2009 pascal.bleser@opensuse.org
- update to 0.7:
  * contains a new command line tool "oggResize", which converts an Ogg/Theora
    file into another Ogg/Theora file with a different framesize, framerate,
    and datarate
  * cleanup and minor bugfixes
* Mon Jan  5 2009 guru@unixtech.be
- new package
